org.keycloak.saml.processing.core.parsers.saml.metadata

## Class SAMLSingleSignOnServiceParser

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractStaxParser<T,SAMLMetadataQNames>
  - - org.keycloak.saml.processing.core.parsers.saml.metadata.AbstractStaxSamlMetadataParser<EndpointType>
    - - org.keycloak.saml.processing.core.parsers.saml.metadata.SAMLEndpointTypeParser
      - - org.keycloak.saml.processing.core.parsers.saml.metadata.SAMLSingleSignOnServiceParser

- All Implemented Interfaces:
    StaxParser

      public class SAMLSingleSignOnServiceParser
      extends SAMLEndpointTypeParser

  Author:
    mhajas

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.processing.core.parsers.saml.metadata.AbstractStaxSamlMetadataParser

      `LOOKUP`

    - ### Fields inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `expectedStartElement, LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLSingleSignOnServiceParser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SAMLSingleSignOnServiceParser` | `getInstance()`

    - ### Methods inherited from class org.keycloak.saml.processing.core.parsers.saml.metadata.SAMLEndpointTypeParser

      `instantiateElement, processSubElement`

    - ### Methods inherited from class org.keycloak.saml.processing.core.parsers.saml.metadata.AbstractStaxSamlMetadataParser

      `getElementFromName`

    - ### Methods inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `isUnknownElement, parse, validateStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLSingleSignOnServiceParser

          public SAMLSingleSignOnServiceParser()

  - ### Method Detail

    - #### getInstance

          public static SAMLSingleSignOnServiceParser getInstance()

Copyright © 2021 JBoss by Red Hat. All rights reserved.